<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css"
    />
        <link rel="manifest" href="./manifest.json">
    <link rel="stylesheet" href="./css/styles2.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <script>
      if ('serviceWorker' in navigator) {
          window.addEventListener('load', async function() {
            try {
              const reg = await navigator.serviceWorker.register('/sw.js');
                console.log('registered service worker:',reg);
            } catch (error) {
              console.log('could not register service worker',error);
            }

          });
      }
  </script>
    <title>Lab1</title>
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-md">
        <div class="container-fluid">
          <span class="navbar-brand" href="#"><b>CMS</b> </span>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-menu">
              <span class="navbar-toggler-icon"></span>
            </button>
          <div class="collapse navbar-collapse" id="collapse-menu">
            <ul class="navbar-nav ms-auto">
              <li class="nav-item dropdown">
                <a
                  class="nav-link active"
                  id="navbarDarkDropdownMenuLink"
                  data-bs-toggle="dropdown"
                  href="#"
                >
                <div class="position-relative d-inline-block">
                  <i class="bi bi-bell d-none d-md-block" id="bell-icon"></i>
                  <div class="bell-animation d-none d-md-block"></div>
                </div>
                  Notification
                </a
                >
                <ul
                  class="dropdown-menu dropdown-menu-end"
                >
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </li>

              <li class="nav-item test">
                <a
                  class="nav-link active"
                  id="navbarDarkDropdownMenuLink"
                  role="button"
                  data-bs-toggle="dropdown"
                  href="#"
                >
                  <span><img src="./images/disneys-cars-lightning-mcqueen-seeklogo.com.svg" alt="" class="avatar-icon rounded-circle"> James Bond</a
                ></span> 
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdownMenuButton2">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </header>
    <div class="container-fluid">
      <div class="row">
        <div class="col-xs-0 col-sm-0 col-md-2 col-lg-2 d-none d-md-block">
          <div class="sticky-top">
            <div class="nav">
              <a href="#_" class="w-100 nav-link">Dashboard</a>
              <a href="#_" class="w-100 nav-link">Students</a>
              <a href="#_" class="w-100 nav-link">Tasks</a>
            </div>
          </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-10 col-lg-10">
          <div class="table-div">
            <div class="top-table">
              <h3>Students</h3>
              <div class="justify-content-end">
                <button class="btn ms-auto d-flex call-form" data-bs-toggle="modal" data-bs-target="#addEditStudent" id="add-student" data-id="">
                  <i class="bi bi-plus-square"></i>
                </button>
              </div>
              
              <div class="modal fade" id="addEditStudent" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog">
                  <div class="modal-content">
                    <form data-id="" id="addEditForm">

                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">New message</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="mb-3">
                          <label for="group" class="col-form-label">Group</label>
                          <input type="text" class="form-control" id="groupName">
                          <div id="group-error" class="error" hidden></div>
                        </div>
                        <div class="mb-3">
                          <label for="student-first-name" class="col-form-label">First Name</label>
                          <input type="text" class="form-control" id="student-first-name">
                          <div id="student-first-name-error" class="error" hidden></div>
                        </div>
                        <div class="mb-3">
                          <label for="student-last-name" class="col-form-label">Last Name</label>
                          <input type="text" class="form-control" id="student-last-name">
                          <div id="student-last-name-error" class="error" hidden></div>
                        </div>
                        <div class="mb-3">
                          <label for="student-name" class="col-form-label">Gender</label>
                          <select name="gender-select" class="form-control form-select" id="gender-select">
                            <option value="Male">Male</option>
                            <option value="Female">Female</option>
                            <option value="Other">Other...</option>
                          </select>
                          <div id="student-gender-error" class="error"></div>
                        </div>
                        <div class="mb-3">
                          <label for="student-name" class="col-form-label">Birthday</label>
                          <input name="birthday" class="date-select form-control" type="date" id="birthday-input">
                          <div id="student-birthday-error" class="error"></div>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                          <button type="submit" class="btn btn-primary" id="submit">Send message</button>
                          
                        </div>
                    </div>
                  </form>

                  </div>
                </div>
              </div>

            </div>
            <div class="table-div table-responsive">
              <table class="table table-bordered text-center border border-2 border-dark" id="studentTable">
                <thead>
                  <tr>
                    <th class="text-center">
                      <input
                        type="checkbox"
                        name="tableCheck"
                        id=""
                        class="table-check"
                      />
                    </th>
                    <th>Group</th>
                    <th>Name</th>
                    <th>Gender</th>
                    <th>Birthday</th>
                    <th>Options</th>
                    <th>Status</th>
                  </tr>
                </thead>
                <tbody>
                  <tr data-id="0">
                    <th scope="row" class="text-center">
                      <input
                        type="checkbox"
                        name="tableCheck"
                        class="table-check"
                      />
                    </th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                    <td>Mark</td>
                    <td><div class="status rounded-circle d-inline-block"></div></td>
                    <td>
                      <button class="btn ms-auto d-inline-block border border-2 edit call-form" data-bs-toggle="modal" data-bs-target="#addEditStudent" data-id="0">
                        <i class="bi bi-pencil icons"></i>
                      </button>
                      <button class="btn ms-auto d-inline-block border border-2 remove call-form" data-id="0">
                        <i class="bi bi-x-lg icons"></i>
                      </button>
                      </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <nav
              aria-label="Page navigation"
              id="custom-pagination"
            >
              <ul class="pagination justify-content-center">
                <li>
                  <a class="page-link" href="#">&lt</a>
                </li>
                <li>
                  <a class="page-link" href="#">1</a>
                </li>
                <li>
                  <a class="page-link" href="#">2</a>
                </li>

                <li>
                  <a class="page-link" href="#">3</a>
                </li>
                <li>
                  <a class="page-link" href="#">4</a>
                </li>
                <li>
                  <a class="page-link" href="#">&gt</a>
                </li>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
    crossorigin="anonymous"
  ></script>
  <script
  src="./js/students.js"
></script>
  <script src="https://unpkg.com/@popperjs/core@2/dist/umd/popper.js"></script>
</html>
